# DO NOT DELETE: Beginning of Haskell dependencies
libraries/template-haskell/dist-install/build/Language/Haskell/TH/LanguageExtensions.o : libraries/template-haskell/Language/Haskell/TH/LanguageExtensions.hs
$(eval $(call hi-rule,libraries/template-haskell/dist-install/build/Language/Haskell/TH/LanguageExtensions.hi  : %hi: %o  libraries/template-haskell/Language/Haskell/TH/LanguageExtensions.hs))
libraries/template-haskell/dist-install/build/Language/Haskell/TH/LanguageExtensions.o : libraries/base/dist-install/build/Prelude.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/LanguageExtensions.o : libraries/ghc-boot-th/dist-install/build/GHC/LanguageExtensions/Type.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib/Map.o : libraries/template-haskell/Language/Haskell/TH/Lib/Map.hs
$(eval $(call hi-rule,libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib/Map.hi  : %hi: %o  libraries/template-haskell/Language/Haskell/TH/Lib/Map.hs))
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib/Map.o : libraries/base/dist-install/build/Prelude.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/template-haskell/Language/Haskell/TH/Syntax.hs
$(eval $(call hi-rule,libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.hi  : %hi: %o  libraries/template-haskell/Language/Haskell/TH/Syntax.hs))
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/base/dist-install/build/Prelude.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/base/dist-install/build/Control/Monad/Fail.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/base/dist-install/build/Numeric/Natural.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/template-haskell/dist-install/build/Language/Haskell/TH/LanguageExtensions.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/ghc-boot-th/dist-install/build/GHC/ForeignSrcLang/Type.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/ghc-boot-th/dist-install/build/GHC/Lexeme.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/base/dist-install/build/GHC/Generics.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/base/dist-install/build/Data/Ratio.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/base/dist-install/build/Data/Word.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/base/dist-install/build/Data/Int.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/base/dist-install/build/Data/Char.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/base/dist-install/build/System/IO.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/base/dist-install/build/Control/Monad/IO/Class.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/base/dist-install/build/System/IO/Unsafe.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/base/dist-install/build/Data/IORef.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.o : libraries/base/dist-install/build/Data/Data.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Quote.o : libraries/template-haskell/Language/Haskell/TH/Quote.hs
$(eval $(call hi-rule,libraries/template-haskell/dist-install/build/Language/Haskell/TH/Quote.hi  : %hi: %o  libraries/template-haskell/Language/Haskell/TH/Quote.hs))
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Quote.o : libraries/base/dist-install/build/Prelude.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Quote.o : libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/PprLib.o : libraries/template-haskell/Language/Haskell/TH/PprLib.hs
$(eval $(call hi-rule,libraries/template-haskell/dist-install/build/Language/Haskell/TH/PprLib.hi  : %hi: %o  libraries/template-haskell/Language/Haskell/TH/PprLib.hs))
libraries/template-haskell/dist-install/build/Language/Haskell/TH/PprLib.o : libraries/base/dist-install/build/Prelude.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/PprLib.o : libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib/Map.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/PprLib.o : libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib/Map.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/PprLib.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/PprLib.o : libraries/pretty/dist-install/build/Text/PrettyPrint.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/PprLib.o : libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Ppr.o : libraries/template-haskell/Language/Haskell/TH/Ppr.hs
$(eval $(call hi-rule,libraries/template-haskell/dist-install/build/Language/Haskell/TH/Ppr.hi  : %hi: %o  libraries/template-haskell/Language/Haskell/TH/Ppr.hs))
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Ppr.o : libraries/base/dist-install/build/Prelude.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Ppr.o : libraries/base/dist-install/build/Data/Ratio.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Ppr.o : libraries/ghc-boot-th/dist-install/build/GHC/Lexeme.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Ppr.o : libraries/base/dist-install/build/GHC/Show.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Ppr.o : libraries/base/dist-install/build/Data/Char.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Ppr.o : libraries/base/dist-install/build/Data/Word.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Ppr.o : libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Ppr.o : libraries/template-haskell/dist-install/build/Language/Haskell/TH/PprLib.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Ppr.o : libraries/pretty/dist-install/build/Text/PrettyPrint.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib/Internal.o : libraries/template-haskell/Language/Haskell/TH/Lib/Internal.hs
$(eval $(call hi-rule,libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib/Internal.hi  : %hi: %o  libraries/template-haskell/Language/Haskell/TH/Lib/Internal.hs))
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib/Internal.o : libraries/base/dist-install/build/Prelude.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib/Internal.o : libraries/base/dist-install/build/Data/Word.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib/Internal.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib/Internal.o : libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib/Internal.o : libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib.o : libraries/template-haskell/Language/Haskell/TH/Lib.hs
$(eval $(call hi-rule,libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib.hi  : %hi: %o  libraries/template-haskell/Language/Haskell/TH/Lib.hs))
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib.o : libraries/base/dist-install/build/Prelude.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib.o : libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib.o : libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib/Internal.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH.o : libraries/template-haskell/Language/Haskell/TH.hs
$(eval $(call hi-rule,libraries/template-haskell/dist-install/build/Language/Haskell/TH.hi  : %hi: %o  libraries/template-haskell/Language/Haskell/TH.hs))
libraries/template-haskell/dist-install/build/Language/Haskell/TH.o : libraries/base/dist-install/build/Prelude.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH.o : libraries/template-haskell/dist-install/build/Language/Haskell/TH/Ppr.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH.o : libraries/template-haskell/dist-install/build/Language/Haskell/TH/Lib.hi
libraries/template-haskell/dist-install/build/Language/Haskell/TH.o : libraries/template-haskell/dist-install/build/Language/Haskell/TH/Syntax.hi
# DO NOT DELETE: End of Haskell dependencies
libraries/template-haskell_dist-install_depfile_haskell_EXISTS = YES
